package com.bizmatics.controller;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableElasticsearchRepositories(basePackages = "com.bizmatics.persistence.mapper.es")
@ServletComponentScan("com.bizmatics.service.config.SessionFilter")
@EnableFeignClients("com.bizmatics")
@ComponentScan("com.bizmatics")
@SpringBootApplication
@EnableTransactionManagement
@EnableScheduling
public class DemoControllerApplication {

    public static void main(String[] args) {
        SpringApplication.run(DemoControllerApplication.class, args);
    }

}
