package com.bizmatics.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.service.FacilityService;
import com.bizmatics.service.vo.FacilityCountVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * object
 * @author yq
 * @date 2021/7/12 9:09
 */
@RestController
@RequestMapping("/facility")
public class FacilityController {


    @Autowired
    private FacilityService facilityService;

    /**
     * 查询不同设备的数量
     * @param siteId
     * @return
     */
    @GetMapping("count")
    public ApiResult<List<FacilityCountVO>> getCount(@RequestParam Integer siteId){
        return ApiResult.success(facilityService.getCount(siteId));
    }
}
