package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.Site;
import com.bizmatics.service.SiteService;
import com.bizmatics.service.vo.DeviceCountVO;
import com.bizmatics.service.vo.SiteVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 站点
 *
 * @author ya
 * @since 2021-07-07
 */
@RestController
@RequestMapping("/site")
public class SiteController {


    @Autowired
    private SiteService siteService;

    /**
     * 查看不同状态的站点数量
     * @return
     */
    @GetMapping("count")
    public ApiResult<DeviceCountVO> getCount(){
        return ApiResult.success(siteService.selectCount());
    }


    /**
     * 查看站点列表
     * @param name 名称
     * @return
     */
    @GetMapping("list")
    public ApiResult<List<Site>> list(@RequestParam(required = false) String name){
        return ApiResult.success(siteService.list(name));
    }


    @GetMapping("listStatus")
    public ApiResult<List<SiteVO>> siteAndStatus(@RequestParam(required = false) String name){
        return ApiResult.success(siteService.siteAndStatusList(name));
    }

    /**
     * 查看站点详情
     * @param siteId 站点id
     * @return
     */
    @GetMapping("one")
    public ApiResult<SiteVO> getOne(@RequestParam Long siteId){
        return ApiResult.success(siteService.getOne(siteId));
    }
}

