package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Sitedtl implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 站点详细信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 户号
     */
    private String accountNumber;

    /**
     * 流变变化
     */
    private String rheologicalChange;

    /**
     * 单路电源容量
     */
    private Integer powerCapacity;

    /**
     * 所属站点
     */
    private Integer siteId;

    /**
     * 所属监察
     */
    private Integer supervisionDepartmentId;

    /**
     * 电缆孔洞（0 否，1 是）
     */
    private Boolean cableHole;

    /**
     * 门窗墙壁破损（0 否，1 是）
     */
    private Boolean damage;

    /**
     * 屋顶、墙壁渗漏水（0 否，1 是）
     */
    private Boolean waterLeakage;

    /**
     * 灭火器配置不足（0 否，1 是）
     */
    private Boolean annihilatorInsufficientConfiguration;

    /**
     * 灭火器超期（0 否，1 是）
     */
    private Boolean annihilatorOverdue;

    /**
     * 堆放杂物（0 否，1 是）
     */
    private Boolean pileUpSundries;

    /**
     * 积灰严重（0 否，1 是）
     */
    private Boolean seriousAshDeposition;

    /**
     * 配电房周围环境潮湿（0 否，1 是）
     */
    private Boolean aroundEnvironmentHumid;

    /**
     * 配电房周围堆放杂物（0 否，1 是）
     */
    private Boolean aroundPileUpSundries;

    /**
     * 无电工（0 否，1是）
     */
    private Boolean noElectrician;

    /**
     * 电工人数配置不足（0 否，1 是）
     */
    private Boolean electricianLack;

    /**
     * 电工证超期（0 否，1 是）
     */
    private Boolean overdueElectricianCertificate;

    /**
     * 电试超期（0 否，1 是）
     */
    private Boolean electricTestOverdue;

    /**
     * 设备老旧（标明出厂或投运日期）
     */
    private LocalDate oldEquipment;

    /**
     * 绝缘毯配置不足（0 否，1 是）
     */
    private Boolean blanketInsufficientConfiguration;

    /**
     * 接地线与存放位置（0 否，1 是）
     */
    private Boolean groundWire;

    /**
     * 模拟屏（0 否，1是）
     */
    private Boolean analogScreen;

    /**
     * 备注
     */
    private String remarks;


}
