package com.bizmatics.persistence.mapper;

import com.bizmatics.model.Device;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface DeviceMapper extends CrudMapper<Device> {


    /**
     * 根据条件查询总数
     * @param userId
     * @param siteId
     * @param deviceStatus
     * @return
     */
    int selectCount(@Param("userId") Integer userId,
                    @Param("siteId") Integer siteId,
                    @Param("deviceStatus") Integer deviceStatus,
                    @Param("startTime") Date startTime,
                    @Param("endTime") Date endTime,
                    @Param("type") String type);


    List<Device> list(@Param("userId") Integer userId,
                      @Param("siteId") Integer siteId,
                      @Param("deviceStatus") Integer deviceStatus,
                      @Param("startTime") Date startTime,
                      @Param("endTime") Date endTime,
                      @Param("type") String type);


}
