package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.model.Personnel;
import com.bizmatics.persistence.mapper.PersonnelMapper;
import com.bizmatics.service.PersonnelService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.enums.PersonnelType;
import com.bizmatics.service.vo.PerCountVO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Service
public class PersonnelServiceImpl extends AbstractCrudService<PersonnelMapper, Personnel> implements PersonnelService {

    @Override
    public PerCountVO selectCount() {
        PerCountVO perCountVO = new PerCountVO();
        perCountVO.setPower(baseMapper.selectCount(Wrappers.lambdaQuery(Personnel.class).eq(Personnel::getPersonnelFunction, PersonnelType.POWER.getValue())));
        perCountVO.setMaintain(baseMapper.selectCount(Wrappers.lambdaQuery(Personnel.class).eq(Personnel::getPersonnelFunction, PersonnelType.MAINTENANCE.getValue())));
        return perCountVO;
    }
}
