package com.bizmatics.service.impl;

import com.bizmatics.model.AlarmPower;
import com.bizmatics.model.RtSwitchData;
import com.bizmatics.persistence.mapper.AlarmPowerMapper;
import com.bizmatics.persistence.mapper.RtSwitchDataMapper;
import com.bizmatics.service.RtSwitchDataService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.*;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Service
public class RtSwitchDataServiceImpl extends AbstractCrudService<RtSwitchDataMapper, RtSwitchData> implements RtSwitchDataService {

    @Override
    public List<Map<String, Object>> getOne(Integer siteId) {
        List<Map<String, Object>> list = new ArrayList<>();
        Map<String, Object> rsdMap = baseMapper.getOneMap(siteId);
        Optional.ofNullable(rsdMap).ifPresent(rad -> {
            for (String name:rad.keySet()) {
                Map<String,Object> map = new HashMap<>();
                map.put("name",name);
                map.put("value",rad.get(name));
                list.add(map);
            }
        });
        return list;
    }

    @Override
    public List<Map<String, Object>> getLoopStatus(Integer siteId) {
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        List<Map<String, Object>> list = new ArrayList<>();
        Map<String, Object> radMap = baseMapper.getLoopStatusMap(siteId);
        Object value = radMap.get("LoadLive");
        int day_count = baseMapper.getOffCountDMap(siteId);
        int month_count = baseMapper.getOffCountMMap(siteId);
        List<AlarmPower> duration_list = baseMapper.getLoopStatusListMap(siteId);
        long minute=0;
        if (duration_list.size()>2){
            for (int i = 0; i < duration_list.size(); i++) {
                if (duration_list.get(i).getDigitalValue()==0){
                    long diff = duration_list.get(i).getSoeTime().getTime()-duration_list.get(i-1).getSoeTime().getTime();
                    minute += diff / (1000 * 60);
//                minute = diff % (1000 * 24 * 60 * 60) % (1000 * 60 * 60) / (1000 * 60);
                }
            }
        }

        Map<String,Object> map = new HashMap<>();
        map.put("LoadLive",value);
        map.put("day_count",day_count);
        map.put("month_count",month_count);
        map.put("minute",minute);
        list.add(map);


//        Map<String, Object> LoopStatusList = baseMapper.getLoopStatusListMap(siteId);
////        Iterator<String> it = radMap.keySet().iterator();

//        int duration=0;
//        for (String name:LoopStatusList.keySet()) {
////            String   a =formatter.;
//            radMap.get("sending_time");
//
//        }

        return list;
    }
}
