package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class HtAnalogDataExportVO {
    /**
     * 伍继电力test_183消费组模拟量数据表ID
     */
    private String id;

    /**
     * 阿里云平台设备名称
     */
    @Excel(name = "阿里云平台设备名称", height = 6, width = 20)
    private String deviceName;

    /**
     * 母线停电次数
     */
    @Excel(name = "母线停电次数", height = 6, width = 20)
    private String busot;

    /**
     * 三相功率因数
     */
    @Excel(name = "三相功率因数", height = 6, width = 20)
    private String cos;

    /**
     * A相功率因数
     */
    @Excel(name = "A相功率因数", height = 6, width = 20)
    private String COSa;

    /**
     * B相功率因数
     */
    @Excel(name = "B相功率因数", height = 6, width = 20)
    private String COSb;

    /**
     * C相功率因数
     */
    @Excel(name = "C相功率因数", height = 6, width = 20)
    private String COSc;

    /**
     * 实时有功需量
     */
    @Excel(name = "实时有功需量", height = 6, width = 20)
    private String demand;

    /**
     * 设备复位次数
     */
    @Excel(name = "设备复位次数", height = 6, width = 20)
    private String devResetTimes;

    /**
     * 设备温度
     */
    @Excel(name = "设备温度", height = 6, width = 20)
    private String deviceTemp;

    /**
     * 三相反向有功电度
     */
    @Excel(name = "三相反向有功电度", height = 6, width = 20)
    private String epn;

    /**
     * 尖段反向有功电度
     */
    @Excel(name = "尖段反向有功电度", height = 6, width = 20)
    private String epn1;

    /**
     * 峰段反向有功电度
     */
    @Excel(name = "峰段反向有功电度", height = 6, width = 20)
    private String epn2;

    /**
     * 平段反向有功电度
     */
    @Excel(name = "平段反向有功电度", height = 6, width = 20)
    private String epn3;

    /**
     * 谷段反向有功电度
     */
    @Excel(name = "谷段反向有功电度", height = 6, width = 20)
    private String epn4;

    /**
     * 三相正向有功电度
     */
    @Excel(name = "三相正向有功电度", height = 6, width = 20)
    private String epp;

    /**
     * 尖段正向有功电度
     */
    @Excel(name = "尖段正向有功电度", height = 6, width = 20)
    private String epp1;

    /**
     * 峰段正向有功电度
     */
    @Excel(name = "峰段正向有功电度", height = 6, width = 20)
    private String epp2;

    /**
     * 平段正向有功电度
     */
    @Excel(name = "平段正向有功电度", height = 6, width = 20)
    private String epp3;

    /**
     * 谷段正向有功电度
     */
    @Excel(name = "谷段正向有功电度", height = 6, width = 20)
    private String epp4;

    /**
     * 三相反向无功电度
     */
    @Excel(name = "三相反向无功电度", height = 6, width = 20)
    private String eqn;

    /**
     * 三相正向无功电度
     */
    @Excel(name = "三相正向无功电度", height = 6, width = 20)
    private String eqp;

    /**
     * 频率
     */
    @Excel(name = "频率", height = 6, width = 20)
    private String f;

    /**
     * 零序电流
     */
    @Excel(name = "零序电流", height = 6, width = 20)
    private String i0;

    /**
     * 负序电流
     */
    @Excel(name = "负序电流", height = 6, width = 20)
    private String i2;

    /**
     * A相总谐波电流
     */
    @Excel(name = "A相总谐波电流", height = 6, width = 20)
    private String IHa;

    /**
     * B相总谐波电流
     */
    @Excel(name = "B相总谐波电流", height = 6, width = 20)
    private String IHb;

    /**
     * C相总谐波电流
     */
    @Excel(name = "C相总谐波电流", height = 6, width = 20)
    private String IHc;

    /**
     * A相电流
     */
    @Excel(name = "A相电流", height = 6, width = 20)
    private String ia;

    /**
     * B相电流
     */
    @Excel(name = "B相电流", height = 6, width = 20)
    private String ib;

    /**
     * C相电流
     */
    @Excel(name = "C相电流", height = 6, width = 20)
    private String ic;

    /**
     * 剩余电流
     */
    @Excel(name = "剩余电流", height = 6, width = 20)
    private String ir;

    /**
     * 昨日有功最大需量
     */
    @Excel(name = "昨日有功最大需量", height = 6, width = 20)
    private String lastDayMD;

    /**
     * 昨日有功最大需量发生时间
     */
    @Excel(name = "昨日有功最大需量发生时间", height = 6, width = 20)
    private String lastDayMDt;

    /**
     * 三相总有功功率
     */
    @Excel(name = "三相总有功功率", height = 6, width = 20)
    private String p;

    /**
     * A相有功功率
     */
    @Excel(name = "A相有功功率", height = 6, width = 20)
    private String pa;

    /**
     * B相有功功率
     */
    @Excel(name = "B相有功功率", height = 6, width = 20)
    private String pb;

    /**
     * C相有功功率
     */
    @Excel(name = "C相有功功率", height = 6, width = 20)
    private String pc;

    /**
     * 三相总无功功率
     */
    @Excel(name = "三相总无功功率", height = 6, width = 20)
    private String q;

    /**
     * A相无功功率
     */
    @Excel(name = "A相无功功率", height = 6, width = 20)
    private String qa;

    /**
     * B相无功功率
     */
    @Excel(name = "B相无功功率", height = 6, width = 20)
    private String qb;

    /**
     * C相无功功率
     */
    @Excel(name = "C相无功功率", height = 6, width = 20)
    private String qc;

    /**
     * 信号强度
     */
    @Excel(name = "信号强度", height = 6, width = 20)
    private String signalIntensity;

    /**
     * 第1路温度
     */
    @Excel(name = "第1路温度", height = 6, width = 20)
    private String t1;

    /**
     * 第2路温度
     */
    @Excel(name = "第2路温度", height = 6, width = 20)
    private String t2;

    /**
     * 第3路温度
     */
    @Excel(name = "第3路温度", height = 6, width = 20)
    private String t3;

    /**
     * 第4路温度
     */
    @Excel(name = "第4路温度", height = 6, width = 20)
    private String t4;

    /**
     * A相电压THD
     */
    @Excel(name = "A相电压THD", height = 6, width = 20)
    private String THDUa;

    /**
     * B相电压THD
     */
    @Excel(name = "B相电压THD", height = 6, width = 20)
    private String THDUb;

    /**
     * C相电压THD
     */
    @Excel(name = "C相电压THD", height = 6, width = 20)
    private String THDUc;

    /**
     * A相电压
     */
    @Excel(name = "A相电流", height = 6, width = 20)
    private String ua;

    /**
     * AB线电压
     */
    @Excel(name = "AB线电压", height = 6, width = 20)
    private String uab;

    /**
     * B相电压
     */
    @Excel(name = "B相电压", height = 6, width = 20)
    private String ub;

    /**
     * BC线电压
     */
    @Excel(name = "BC线电压", height = 6, width = 20)
    private String ubc;

    /**
     * 零序电压不平衡度
     */
    @Excel(name = "零序电压不平衡度", height = 6, width = 20)
    private String ublU0;

    /**
     * 负序电压不平衡度
     */
    @Excel(name = "负序电压不平衡度", height = 6, width = 20)
    private String ublU2;

    /**
     * C相电压
     */
    @Excel(name = "C相电压", height = 6, width = 20)
    private String uc;

    /**
     * CA线电压
     */
    @Excel(name = "CA线电压", height = 6, width = 20)
    private String uca;

    /**
     * 电压暂降次数
     */
    @Excel(name = "电压暂降次数", height = 6, width = 20)
    private String udt;

    /**
     * 线路侧电压
     */
    @Excel(name = "线路侧电压", height = 6, width = 20)
    private String ul;

    /**
     * 电压暂升次数
     */
    @Excel(name = "电压暂升次数", height = 6, width = 20)
    private String upt;

    /**
     * 电压短时中断次数
     */
    @Excel(name = "电压短时中断次数", height = 6, width = 20)
    private String ust;

    /**
     * 冻结时间
     */
    @Excel(name = "上报时间", height = 6, width = 20)
    private String freezingTime;

    /**
     * 上报时间
     */
    @Excel(name = "上报时间", height = 6, width = 20)
    private String dataTime;
}
